function [Fc_final, out] = Fc_vs_contour_states (xtot_bound,F_bound,current_state,kc,G_Sw_X,Rod_contour_length, t,c1,ts, Fstall)
%%
out = false;
nc = size(current_state,1);
nb1 = sum(current_state(:,end)==1);
idx_bound = find(current_state(:,end)==1);
linker_size = 40; % contour length of flexible talin neck
uniform_rigid_size_unit = 5; % mean domain size of folded domains
total_wormlike_contour = zeros(nb1, 1);
total_N_rigid = zeros(nb1, 1);

for i = 1:nb1
   for j = 1:nb1
      G(i,j) = G_Sw_X(idx_bound(i),idx_bound(j));
   end
    idx = idx_bound(i); 
    % looking for components different from 1, that is unfolded or unfolded with vinculin
    total_wormlike_contour(i) = sum(Rod_contour_length(current_state(idx,1:end-1)~=1))+linker_size;
    % number of folded domains in binder i
    total_N_rigid(i) = sum(current_state(idx,1:end-1)==1);  
end

% I create matrix G of dimension nb1*nb1, taking as:
% focal= the coord (x,y) of bound binders of now
% lines_closest= the coord (x,y) of the closest points to bound binders of now
% so I take the components corresponding to bound binders, of the big costant matrix G_Sw_X created in the main
% G is nb1*nb1
% F is nb1*1
% GF is nb1*1

options = optimoptions('fsolve','TolFun', 1e-6,'Display','off');
F_bound(F_bound==0)=1; % otherwise the zero gives undefined result of fsolve


    %% NEW WHILE FOR GUESS

    GF_guess = G*F_bound;
    
for i=1:nb1                              
     wormlike_x_current_guess(i) = xtot_bound(i)...
                                   -total_N_rigid(i).*(uniform_rigid_size_unit.*coth(F_bound(i)/4.1.*uniform_rigid_size_unit)-1./(F_bound(i)/4.1))...
                                   -F_bound(i)./kc...
                                   -GF_guess(i);

     while wormlike_x_current_guess(i) > total_wormlike_contour(i)

      F_bound(i) = 1.5 * F_bound(i);
      GF_guess = G*F_bound;
      wormlike_x_current_guess(i) = xtot_bound(i)...
                                   -total_N_rigid(i).*(uniform_rigid_size_unit.*coth(F_bound(i)/4.1.*uniform_rigid_size_unit)-1./(F_bound(i)/4.1))...
                                   -F_bound(i)./kc...
                                   -GF_guess(i);
     end 
end

Fc_final = fsolve(@balance,F_bound,options);

wlc = zeros(nb1, 1);
fjc = zeros(nb1, 1);
total_fjc = zeros(nb1, 1);

for j=1:nb1
    wlc(j) = xtot_bound(j)-total_N_rigid(j).*(uniform_rigid_size_unit.*coth(Fc_final(j)/4.1.*uniform_rigid_size_unit)-1./(Fc_final(j)/4.1))...
                            -Fc_final(j)./kc-G(j,:)*Fc_final;  
    fjc(j) = total_N_rigid(j).*(uniform_rigid_size_unit.*coth(Fc_final(j)/4.1.*uniform_rigid_size_unit)-1./(Fc_final(j)/4.1));
    total_fjc(j) = total_N_rigid(j).*uniform_rigid_size_unit;
end

nb1_good = find(wlc<=total_wormlike_contour & fjc<=total_fjc & Fc_final>0 & Fc_final<=Fstall);

if length(nb1_good)<nb1
     sprintf('algun binder no respeta el control')
     out=true; 
end
 
 
 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



function y = balance(F)
GF =  G*F;
    for i=1:nb1  
        wormlike_x_current(i) = xtot_bound(i)...
                                 -total_N_rigid(i).*(uniform_rigid_size_unit.*coth(F(i)/4.1.*uniform_rigid_size_unit)-1./(F(i)/4.1))...
                                 -F(i)./kc-GF(i);                      
         y(i) =  0.25/0.8.*(1-wormlike_x_current(i)./total_wormlike_contour(i))^(-2)+ ...
               wormlike_x_current(i)./(0.8.*total_wormlike_contour(i))-0.25/0.8 - F(i)/4.1 ;  
    end
end
 
 
end


                      
