function koff = koffcb(f,ion,kof1,Fb,koff_catch)
%%
% Calculates koff as a function of force for a5b1 integrins (Kong et al. 2009 JCB).  
% 'cm' are for cyclic mechanical reinforcement (Kong2013)

f = abs(f);

a = 0.*f;
b = 0.*f;

switch ion
   
    case 'Beng_catch'
    Fcatch = Fb;
    koff = kof1 * exp(f./Fb) + koff_catch * exp(-f./Fcatch);
    
    case 'cm'    % pN, nm

    a = 11.27;       
    b = -1.601e-1;
    c = 0.0008882;  
    d = 1.225e-1;  
    g = 1000;               % Increase in koff at zero force wrt mn ion.
    fend = 0.15;            % Force at which the added curve vanishes.
    h = -log(0.1./g)./fend;
    
    koff = 0.9*(a.*exp(b.*f) + c.*exp(d.*f) + g.*exp(-h.*f));

 
end

end

