%%

parameters_range          % to get E

global dist disc excl focals lines_closest G_Sw_X

load equally_spaced_points.mat;

dist = 10; % position of the row for nc
disc = 12; % position of the column for disk of radius a
excl = 5;  % Size, in nm, of the radius in which displacements are excluded from Green's computation

n_points_F = [round(logspace(0.7,3.2,16)) 3000]; % range nc (17 values)
rad_range = round(logspace(1.75,3.25,16)); % range a (16 values)

% positions of fibronectins
focals = structs{dist,disc}(:,:)';
% position of the displacement points at the reference state 
lines_full = structs{end,disc}(:,:)';
% remove points close to F, and return new lines. 
[lines, closest] = data_myproblem(lines_full, focals, excl);
lines_closest = lines(closest,:);

close all;

% construct Greens function from Schwarz only X
% computed only with the pints closes to the force
for i = 1:size(lines_closest,1)
   for j = 1:size(focals,1)
      G_Sw_X(i,j) = 1/6.*(greens_Sw_X(lines_closest(i,1:2)-focals(j,1:2))/E);
   end
end


